## NMSettingOlpcMesh NMSettingOlpcMesh — Describes connection properties for OLPC-Mesh devices |

## Functions

NMSetting * | nm_setting_olpc_mesh_new ()
GBytes * | nm_setting_olpc_mesh_get_ssid ()
guint32 | nm_setting_olpc_mesh_get_channel ()
const char * | nm_setting_olpc_mesh_get_dhcp_anycast_address ()

## Types and Values

#define | NM_SETTING_OLPC_MESH_SETTING_NAME
#define | NM_SETTING_OLPC_MESH_SSID
#define | NM_SETTING_OLPC_MESH_CHANNEL
#define | NM_SETTING_OLPC_MESH_DHCP_ANYCAST_ADDRESS

## Description

The NMSettingOlpcMesh object is a NMSetting subclass that describes properties necessary for connection to OLPC-Mesh devices.

## Functions

### nm_setting_olpc_mesh_new ()

    NMSetting *
    nm_setting_olpc_mesh_new (void);

Creates a new NMSettingOlpcMesh object with default values.

#### Returns

the new empty NMSettingOlpcMesh object

### nm_setting_olpc_mesh_get_ssid ()

    GBytes *
    nm_setting_olpc_mesh_get_ssid (NMSettingOlpcMesh *setting);

#### Parameters

setting | the NMSettingOlpcMesh |

#### Returns

.

[transfer none]

### nm_setting_olpc_mesh_get_channel ()

    guint32
    nm_setting_olpc_mesh_get_channel (NMSettingOlpcMesh *setting);

### nm_setting_olpc_mesh_get_dhcp_anycast_address ()

    const char *
    nm_setting_olpc_mesh_get_dhcp_anycast_address
                                   (NMSettingOlpcMesh *setting);

## Types and Values

### NM_SETTING_OLPC_MESH_SETTING_NAME

    #define NM_SETTING_OLPC_MESH_SETTING_NAME "802-11-olpc-mesh"

### NM_SETTING_OLPC_MESH_SSID

    #define NM_SETTING_OLPC_MESH_SSID                 "ssid"

### NM_SETTING_OLPC_MESH_CHANNEL

    #define NM_SETTING_OLPC_MESH_CHANNEL              "channel"

### NM_SETTING_OLPC_MESH_DHCP_ANYCAST_ADDRESS

    #define NM_SETTING_OLPC_MESH_DHCP_ANYCAST_ADDRESS "dhcp-anycast-address"